越獄界新聞

Cydia之父Saurik替iOS 10推出Cydia v1.1.28正式版本

iOS 10~iOS 10.2越獄的到來,造成Cydia不相容,迫使Cydia之父Saurik也必須要一起將Cydia更新推出64位元版本,歷經了一個月的測試階段後,在今天Cydia 正式推出v1.1.28版本更新。

 

直到現在iOS 10越獄工具與穩定性已經相容與穩定性已經越來越高,僅剩下iPhone 7/7 Plus機種在越獄支援上有問題,這次的Cydia v1.1.28版本主要是替64位元機種而更新,也可以說算是首款64位元Cydia版本,除此之外另還一併調整更新與修補Cydia內所使用的核心包管理邏輯APT(Advanced Package Tools)提升為1.14b版本,APT 1.14b可以算是Debian和Ubuntu公認的行業標準。

在這次正式版本上,除了可支援iOS 10-10.2越獄設備外,另還加入了iOS 7-iOS 9設備支援,並且也開放了iOS 10插件的購買功能,並修復大量的Cydia錯誤問題,如果在這次更新版本後,發現跳出一些紅黃字警告錯誤,這並不非Cydia問題,而是要刪除這些有問題的軟體源才能夠解決。

 

Cydia版本升級

▼ 從「變更內容」點選左上角的「重新整理」,跑完後會出現Cydia Installer重要升級項目,點選「升級重要套件」>「確認」即可升級Cydia版本。

Cydia測試版本錯誤

▼ 更新後資料庫出現錯誤,透過ifile或filza軟體,檢查/etc/apt/sources.list.d/cydia.list 檔案裡面的軟體源,先暫時將上面標示錯誤的軟體源移除,在Cydia出現其他的錯誤紅黃色錯誤,請透過「這篇來查詢解決」。
PS.無法解決錯誤問題,透過手動降回以前v1.1.27舊版本即可(deb下載),點我去看教學

▼ 如喜歡瘋先生教學歡迎加入粉絲團 ▼

★★ 一起加入由瘋先生開設的臉書社團點我加入,裡面會有不少高手會一起跟大家互動,並回答問題。 ★★